<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_black"
    android:orientation="vertical"
    android:padding="10dp">

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_title"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_below="@id/tv_username"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_title"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/hint_title"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <TextView
        android:id="@+id/til_date"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:background="@color/color_white"
        android:gravity="center_vertical"
        android:padding="15dp"
        android:text="@string/hint_date"
        app:endIconMode="clear_text" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/color_gray_600" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_url"
        style="@style/BoxInputLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:endIconMode="clear_text"
        app:hintEnabled="false">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_url"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_white"
            android:hint="@string/url"
            android:inputType="text"
            android:maxLength="50"
            android:padding="0dp" />
    </com.google.android.material.textfield.TextInputLayout>

    <Button
        android:id="@+id/submitButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        android:text="Submit" />

</LinearLayout>
